Bug 3098 - dhcp was fixed and updated to 4.2.5 version [UPDATE REQUEST]
: dhcp was fixed and updated to 4.2.5 version [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 3081
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 19:58 MSK by Alexander Burmashev
Modified: 2013-11-28 18:01 MSK (History)
5 users (show)

See Also:
RPM Package: dhcp
ISO-related:
Bad POT generating:
Upstream:


Attachments
urpmi --debug-librpm dhcp-server (16.88 KB, text/plain)
2013-11-13 14:46 MSK, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-11-07 19:58:55 MSK
dhcp was fixed and updated to 4.2.5 version
Comment 1 Alexander Burmashev 2013-11-07 20:02:50 MSK
Advisory:
dhcp was updated to 4.2.5 version. It contains a lot of fixed and improvements. For full changelog check
https://kb.isc.org/article/AA-00852

Additional info:
This update is especially important for us because it is required for our LXC containers.

Buildlists:
https://abf.rosalinux.ru/build_lists/1239022
https://abf.rosalinux.ru/build_lists/1239023
Comment 2 Alexander Petryakov 2013-11-10 00:34:27 MSK
"Путь до контейнера" is empty
Comment 3 Aleksandr Kazantcev 2013-11-10 01:09:56 MSK
Containers created
Comment 4 Alexander Burmashev 2013-11-12 19:28:14 MSK
dhcp was rebuilt for rosa2012.1 platform instead of red3.

Advisory:
dhcp was updated to 4.2.5 version. It contains a lot of fixed and improvements. For full changelog check
https://kb.isc.org/article/AA-00852

Additional info:
This update is especially important for us because it is required for our LXC containers.
Buildlists:

https://abf.rosalinux.ru/build_lists/1386467
https://abf.rosalinux.ru/build_lists/1386468
Comment 5 Alexander Burmashev 2013-11-13 10:52:49 MSK
If you noticed 
can't create /var/lib/dhclient/dhclient--eth0.lease: No such file or directory
error - it also should be fixed.
Comment 6 Alexander Petryakov 2013-11-13 11:18:51 MSK
I got error at install: 
/var/tmp/rpm-tmp.33146: строка 1: fg: нет управления заданием
Comment 7 Postnikov Dmitry 2013-11-13 11:21:18 MSK
(In reply to comment #6)
> I got error at install: 
> /var/tmp/rpm-tmp.33146: строка 1: fg: нет управления заданием


I also sometimes watch on other packages.


I have the day dhclient works fine.
Comment 8 Alexander Burmashev 2013-11-13 11:43:11 MSK
Alexander Petryakov, can you try installing with --debug-librpm paremeter ?
Comment 9 Denis Silakov 2013-11-13 11:54:52 MSK
The reason is that out current systemd (which is in repos) doesn't provide %tmpfiles_create macro. so this macro is left unexpanded in post-script of dhcp-client. Actually this is crucial issue, since tmpfiles will not be created.

We should either wait for approval of new systemd (which should provide such a macro, iirc) or replace macor with manual creation of files.
Comment 10 Aleksandr Kazantcev 2013-11-13 12:15:41 MSK
Please try with systemd-204. If this solve issue, we will need use both update.
Comment 11 Alexander Petryakov 2013-11-13 14:46:34 MSK
Created attachment 2241 [details]
urpmi --debug-librpm dhcp-server
Comment 12 Vladimir Potapov 2013-11-28 18:01:30 MSK
This update is tested in Testing, without QA.